#ifndef NUMKEYWIDGET_H
#define NUMKEYWIDGET_H

#include <QWidget>
#include <QDialog>

namespace Ui {
class numKeyWidget;
}

class numKeyWidget : public QDialog
{
    Q_OBJECT

public:
    explicit numKeyWidget(QWidget *parent = 0);
    ~numKeyWidget();

signals:
    void sendNum( int num);

private:
    Ui::numKeyWidget *ui;

    void btn_num_click();
    void btn_ok_click();
    void btn_cannel_click();
    void btn_clear_click();
    void btn_backspace_click();

    int getAmount();
public:
    static QString getInputNum();

};

#endif // NUMKEYWIDGET_H
